Bug 239972 - kernel gets stuck in loop trying to detect harddisk.
kernel gets stuck in loop trying to detect harddisk.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-13 13:09 EDT by Simon Goodall
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-19 15:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel error messages. (1.64 KB, text/plain)
2007-05-13 13:09 EDT, Simon Goodall
no flags Details

  None (edit)
Description Simon Goodall 2007-05-13 13:09:09 EDT
Description of problem:
After working around bugs #237526 and #238446 the kernel eventually gets stuck
in a loop when it tries to detect my second harddisk. After about half an hour
it was still looping though the error messages.
See the attached log for details. My second HD is connected to a ite8212 raid
controller as a normal ide disk. The drive itself is an old Western digital
(pre-smart). Under FC6 it work report some drive-seek errors on bootup, but
otherwise work fine. Even if the drive is at fault, I would expect the kernel to
give up and attempt to boot my system on the remaining disks.
This disk does still work when booting fc7 using a fc6 kernel, I can boot ubuntu
edgy up using it (and in fact I'm using grub installed from ubuntu to boot
fedora currently) and even windows boots fine using it.

This was originally reported in bug #237526, but as that is now a syslinux bug,
I am re-reporting under a kernel bug.



Version-Release number of selected component (if applicable):
FC7 Test 3/4 and current rawhide kernel.

How reproducible:
Always.
Comment 1 Simon Goodall 2007-05-13 13:09:09 EDT
Created attachment 154611 [details]
Kernel error messages.
Comment 2 Simon Goodall 2007-05-19 15:16:00 EDT
Appears to be fixed in kernel 2.6.21-1.3163.fc7

Note You need to log in before you can comment on or make changes to this bug.